using Nox.Input;
using System.Collections;

namespace Nox.Platform {

    /// <summary>
    /// Add here your platforms as needed
    /// </summary>
    public enum DevicePlatform {
        Desktop,
        UnityEditor
    }

    /// <summary>
    /// Factory interface for platform selection and initialization
    /// </summary>
    public interface IPlatform {
        PlatformSettings PlatformSettings { get; }
        IEnumerator Initialize(object applicationData);
        IInput InitializeInput();
        void Tick();
        void Dispose();
        void OnApplicationQuit();
    }
}
